#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 hslua
version:              2.3.1
visibility:           public
id:                   hslua-2.3.1-2G1m1TXUJu1CZwGgM6nqGO
key:                  hslua-2.3.1-2G1m1TXUJu1CZwGgM6nqGO
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2024 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  dec0d21441da10c1bb44d6ce5c5d99bd
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.1-9WRkO9f4bf5CWdFwINpSO4:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.1-82S3gS7EEXpGNV418AWbbb:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.1-4SX1b7jz1hk4JyqEAAyJd3:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.8.2/site-local/hslua-2.3.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/hslua-2.3.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/hslua-2.3.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/hslua-2.3.1
hs-libraries:         HShslua-2.3.1-2G1m1TXUJu1CZwGgM6nqGO
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    containers-0.6.8-inplace exceptions-0.10.7-inplace
    hslua-aeson-2.3.1-9WRkO9f4bf5CWdFwINpSO4
    hslua-classes-2.3.1-FtBolk6ypeA9nHMWJ4Hy55
    hslua-core-2.3.2-Ie0LyZ79V3rJ6wyggxWom9
    hslua-marshalling-2.3.1-1G7DMrojWC0EUgaqk0l0tX
    hslua-objectorientation-2.3.1-82S3gS7EEXpGNV418AWbbb
    hslua-packaging-2.3.1-EwdqT0aCBs12TraFwqhqks
    hslua-typing-0.1.1-4SX1b7jz1hk4JyqEAAyJd3 mtl-2.3.1-inplace
    text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-2.3.1/html/hslua.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/hslua-2.3.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

